Request an indicative OTC quote
curl --request POST \
--url https://api.balansas.com/functions/v1/customer-api/otc-exchanges/quote \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"sourceFrAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"destinationUtilaWalletId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sourceAmountEur": "100.00",
"side": "buy",
"destinationCurrency": "USDT"
}
'import requests
url = "https://api.balansas.com/functions/v1/customer-api/otc-exchanges/quote"
payload = {
"sourceFrAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"destinationUtilaWalletId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sourceAmountEur": "100.00",
"side": "buy",
"destinationCurrency": "USDT"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
sourceFrAccountId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
destinationUtilaWalletId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
sourceAmountEur: '100.00',
side: 'buy',
destinationCurrency: 'USDT'
})
};
fetch('https://api.balansas.com/functions/v1/customer-api/otc-exchanges/quote', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"quoteId": "770e8400-e29b-41d4-a716-446655440002",
"rate": "1.05",
"destinationAmount": "105.00",
"sourceCurrency": "EUR",
"destinationCurrency": "USDC",
"ttlExpiresAt": "2026-05-28T11:02:09.456Z",
"ttlSeconds": 60,
"indicative": true,
"sourceAmountEur": "100.00",
"sourceAmountUsdc": "100.000000"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}OTC Exchanges
Request an indicative OTC quote
POST
/
otc-exchanges
/
quote
Request an indicative OTC quote
Authorizations
Customer API key. Send as x-api-key: sk_... or Authorization: Bearer sk_.... Write operations also require an X-CSRF-Token header (64-char hex).
Body
application/json
- Option 1
- Option 2
EUR amount to convert, as a decimal string (up to 2 dp). Minimum 20 EUR.
Pattern:
^\d+(\.\d{1,2})?$Example:
"100.00"
Available options:
buy Crypto to buy; omitted defaults to USDC.
Required string length:
1 - 10Example:
"USDT"
Response
Success
Show child attributes
Show child attributes
⌘I

